org.gradle.platform.base

## Interface Binary

- All Known Subinterfaces:
    NativeBinary, NativeExecutableBinary, NativeLibraryBinary, PrebuiltSharedLibraryBinary, PrebuiltStaticLibraryBinary, SharedLibraryBinary, StaticLibraryBinary

      @Incubating
      public interface Binary

  A physical binary artifact, which can run on a particular platform or runtime.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Returns a human-consumable display name for this binary.

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns a human-consumable display name for this binary.